Class | TMail::ReceivedHeader
In: | lib/tmail/header.rb
Parent: | StructuredHeader

### Methods

_for _for= by by= date date= from from= id id= via via= with

### Constants

PARSE_TYPE | = | :RECEIVED

### Public Instance methods

_for()

[Source]

    # File lib/tmail/header.rb, line 546
        def _for
          ensure_parsed
          @_for
        end

_for=( arg )

[Source]

    # File lib/tmail/header.rb, line 551
        def _for=( arg )
          ensure_parsed
          @_for = arg
        end

by()

[Source]

    # File lib/tmail/header.rb, line 511
        def by
          ensure_parsed
          @by
        end

by=( arg )

[Source]

    # File lib/tmail/header.rb, line 516
        def by=( arg )
          ensure_parsed
          @by = arg
        end

date()

[Source]

    # File lib/tmail/header.rb, line 556
        def date
          ensure_parsed
          @date
        end

date=( arg )

[Source]

    # File lib/tmail/header.rb, line 561
        def date=( arg )
          ensure_parsed
          @date = arg
        end

from()

[Source]

    # File lib/tmail/header.rb, line 501
        def from
          ensure_parsed
          @from
        end

from=( arg )

[Source]

    # File lib/tmail/header.rb, line 506
        def from=( arg )
          ensure_parsed
          @from = arg
        end

id()

[Source]

    # File lib/tmail/header.rb, line 536
        def id
          ensure_parsed
          @id
        end

id=( arg )

[Source]

    # File lib/tmail/header.rb, line 541
        def id=( arg )
          ensure_parsed
          @id = arg
        end

via()

[Source]

    # File lib/tmail/header.rb, line 521
        def via
          ensure_parsed
          @via
        end

via=( arg )

[Source]

    # File lib/tmail/header.rb, line 526
        def via=( arg )
          ensure_parsed
          @via = arg
        end

with()

[Source]

    # File lib/tmail/header.rb, line 531
        def with
          ensure_parsed
          @with
        end

[Validate]